server:
  port: 8007

spring:
  application:
    name: SERVICE-EDUCATION
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://101.204.146.11:3306/home_teacher?serverTimezone=UTC&characterEncoding=utf8&useUnicode=true&useSSL=false
    username: root
    password: FXI@gi^l
    hikari:
      connection-test-query: SELECT 1
      connection-timeout: 60000
      idle-timeout: 500000
      max-lifetime: 540000
      maximum-pool-size: 20
      minimum-idle: 10
      pool-name: XunWangHikariPool
  redis:
    host: 127.0.0.1
    port: 6379
    database: 0
    timeout: 1800000
    lettuce:
      pool:
        max-active: 20
        max-idle: 8
        min-idle: 0
        max-wait: -1
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848

mybatis-plus:
  global-config:
    db-config:
      logic-delete-value: 1
      logic-not-delete-value: 0
  mapper-locations: classpath:com/xunwang/education/mapper/xml/*.xml
  type-aliases-package: com.xunwang.education.entity
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

# 自定义注解：是否开启swagger
swagger:
  enable: true

knife4j:
  enable: true
  production: false  # 开启屏蔽文档资源

feign:
  httpclient:
    connection-timeout: 3000
    enabled: true



